--- rewrite_dat.pl	2018-01-13 13:32:42.528046389 +0700
+++ rewrite_dat_with_prokind.pl	2018-01-13 16:07:49.124401213 +0700
@@ -132,6 +132,19 @@
 			# these operations in the order given.
 			# Note: This is also a convenient place to do one-off
 			# bulk-editing.
+
+			# One-off to migrate to prokind
+			# Default has already been filled in by now, so now add other
+			# values as appropriate
+			if ($values{proisagg} eq 't')
+			{
+				$values{prokind} = 'a';
+			}
+			elsif ($values{proiswindow} eq 't')
+			{
+				$values{prokind} = 'w';
+			}
+
 			if (!$expand_tuples)
 			{
 				strip_default_values(\%values, $schema, $catname);
